---
title: Update Digital Wallet
description: The PUT {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}} operation updates a digital wallet for a specified user in the specified environment.
component: pingone-api
page_id: pingone-api:credentials:digital-wallets/update-digital-wallet
canonical_url: https://developer.pingidentity.com/pingone-api/credentials/digital-wallets/update-digital-wallet.html
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Update Digital Wallet

##

```none
PUT {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}
```

The `PUT {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}` operation updates a digital wallet for a specified user in the specified environment.

A request body is required to update a digital wallet app.

### Prerequisites

* [Create a user](../../platform/users/users-1/create-user.html) to get a `userID` for the endpoint. Refer also to [Users](../../platform/users.html), especially [User operations](../../platform/users/users-1.html).

* [Create Digital Wallet](create-digital-wallet.html) to get a `digitalWalletID` for the endpoint. Refer also to [Digital Wallets](../digital-wallets.html).

> **Collapse: Request Model**
>
> Refer to [Digital wallet data model](../digital-wallets.html#digital-wallet-data-model) for full property descriptions.
>
> | Property                 | Type   | Required? |
> | ------------------------ | ------ | --------- |
> | `applicationInstance.id` | String | Optional  |
> | `status`                 | String | Optional  |

|   |                                                                                                                                                                                                                                                                                                                                                                                                                             |
| - | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|   | You can only add an `applicationInstance.id` if not assigned (it is immutable), or change the `status` to `ACTIVE` or `DISABLED`. To assign a `status` of `ACTIVE`, an `applicationInstance.id` must be assigned, either in this body, from the [Create Digital Wallet](create-digital-wallet.html), or from a previous [Update Digital Wallet](#). Statuses `PAIRING_REQUIRED` and `EXPIRED` are reserved for the service. |

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
{
    "status": "DISABLED"
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff --request PUT '{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
    "status": "DISABLED"
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"    ""status"": ""DISABLED""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}"
  method := "PUT"

  payload := strings.NewReader(`{
    "status": "DISABLED"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
PUT /v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}} HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
    "status": "DISABLED"
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"status\": \"DISABLED\"\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}")
  .method("PUT", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}",
  "method": "PUT",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "status": "DISABLED"
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'PUT',
  'url': '{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "status": "DISABLED"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}"

payload = json.dumps({
  "status": "DISABLED"
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}');
$request->setMethod(HTTP_Request2::METHOD_PUT);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n    "status": "DISABLED"\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "status": "DISABLED"
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n    \"status\": \"DISABLED\"\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/digitalWallets/{{digitalWalletID}}")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "PUT"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/49825b76-e1df-4cdc-b973-0c580f1cb049/digitalWallets/17b5b514-623f-4700-8a20-c8df1a1eaadb"
        }
    },
    "id": "17b5b514-623f-4700-8a20-c8df1a1eaadb",
    "createdAt": "2023-02-10T16:55:46.541Z",
    "updatedAt": "2023-02-13T18:03:07.701Z",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "user": {
        "id": "49825b76-e1df-4cdc-b973-0c580f1cb049"
    },
    "digitalWalletApplication": {
        "id": "6815c8a6-bc0b-4105-8f37-50f6c35583d7"
    },
    "status": "DISABLED",
    "pairingAttempts": [
        {
            "success": true,
            "attemptedAt": "2023-02-10T20:15:06.648Z"
        }
    ]
}
```
